%global pypi_name PyGPSClient

Name:          python-%{pypi_name}
Version:       1.5.10
Release:       %autorelease
Summary:       Python Graphical GPS Client Application supporting many protocols
License:       BSD-3-Clause
URL:           https://github.com/semuconsulting/%{pypi_name}
Source0:       %url/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz
Patch1:        PyGPSClient-fix-pyproject.patch

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-setuptools

%global _description %{expand:
PyGPSClient is a free, open-source, multi-platform graphical GNSS/GPS
testing, diagnostic and UBX © (u-blox ™) device configuration
application written entirely in Python and tkinter.
}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
sed -i 's/75.0/74.0/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/ubx*

%changelog
%autochangelog
